package hls.support.core.wechat.dto;

/**
 * Auto Generated By Hap Code Generator
 **/

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.hand.hap.mybatis.annotation.ExtensionAttribute;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotNull;

import com.hand.hap.system.dto.BaseDTO;
import org.hibernate.validator.constraints.NotEmpty;

@ExtensionAttribute(disable = true)
@Table(name = "wechat_account")
public class WechatAccount extends BaseDTO {

    public static final String FIELD_ACCOUNT_ID = "accountId";
    public static final String FIELD_ACCOUNT_CODE = "accountCode";
    public static final String FIELD_NAME = "name";
    public static final String FIELD_COMPANY_NAME = "companyName";
    public static final String FIELD_APP_ID = "appId";
    public static final String FIELD_SECRET = "secret";

    public static final Integer CORP = 1;
    public static final Integer SUBS = 2;
    public static final Integer SERV = 3;


    @Id
    @GeneratedValue
    private Long accountId;

    @NotEmpty
    @Length(max = 100)
    private String accountCode; //公众号编号

    @Length(max = 100)
    private String name; //公众号名称

    @Length(max = 100)
    private String companyName; //企业号公司名称

    @Length(max = 100)
    private String appId; //订阅号与服务号的appId,企业号的corpId

    @Length(max = 200)
    private String secret; //订阅号与服务号的secret,企业号通讯录的corpsecret

    @NotNull
    private Integer accountType; //公众号类型，1表示企业号、2表示订阅号、3表示服务号

    private String isEnable; //是否启用

    @Transient
    private String msgContent;
    @Transient
    private String msgType;
    @Transient
    private String mediaId;

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getAccountCode() {
        return accountCode;
    }

    public void setAccountCode(String accountCode) {
        this.accountCode = accountCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public String getMsgContent() {
        return msgContent;
    }

    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }
}

